﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.EntityFrameworkCore;
using Turkceleme.Models;

namespace Turkceleme.Pages.Urunler
{
    public class DetailsModel : PageModel
    {
        private readonly Turkceleme.Models.TurkceContext _context;

        public DetailsModel(Turkceleme.Models.TurkceContext context)
        {
            _context = context;
        }

        public Urun Urun { get; set; }

        public async Task<IActionResult> OnGetAsync(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            Urun = await _context.Urun.FirstOrDefaultAsync(m => m.ID == id);

            if (Urun == null)
            {
                return NotFound();
            }
            return Page();
        }
    }
}
