﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.EntityFrameworkCore;
using Turkceleme.Models;

namespace Turkceleme.Pages.Urunler
{
    public class IndexModel : PageModel
    {
        private readonly TurkceContext _context;

        public IndexModel(TurkceContext context)
        {
            _context = context;
        }

        public IList<Urun> Urun { get;set; }

        public async Task OnGetAsync()
        {
            Urun = await _context.Urun.ToListAsync();
        }
    }
}
