﻿using Microsoft.EntityFrameworkCore;

namespace Turkceleme.Models
{
    public class TurkceContext : DbContext
    {
        public TurkceContext (DbContextOptions<TurkceContext> options)
            : base(options)
        {
        }

        public DbSet<Urun> Urun { get; set; }

        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            #region İliskiler
            //İlişkisel ana tablo silindiğinde örneği
            //modelBuilder.Entity<Kazanan>()
            //    .HasOne(p => p.Okul)
            //    .WithMany(b => b.Kazananlar)
            //    .OnDelete(DeleteBehavior.Restrict);
            #endregion

            #region İndeksler
            // İki alanlı indeks örneği.
            //modelBuilder.Entity<Okul>()
            //    .HasAlternateKey(b => new { b.OkulTuruID, b.OkulAdi });

            //modelBuilder.Entity<Urun>()
            //    .HasAlternateKey(b => b.UrunKodu);
            #endregion

            #region Varsayilanlar
            //modelBuilder.Entity<Urun>()
            //    .Property(b => b.Durum)
            //    .HasDefaultValue(0);
            #endregion
        }

    }
}
